﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows;
using Infragistics.Controls.Editors;

namespace XamSliderTrackFill
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamNumericRangeSlider_Loaded(object sender, RoutedEventArgs e)
        {
            Grid g = Utilities.GetDescendantFromName(sender as DependencyObject, "HorizontalTrack") as Grid;
            (g.Children[0] as Border).Background = Brushes.Transparent;
            (g.Children[0] as Border).BorderBrush = Brushes.Transparent;
        }
    }

    public class MyMultiValueConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((values[0] as XamSliderNumericThumb).Name == "xsnt1")
            {
                return (values[0] as XamSliderNumericThumb).TranslatePoint(new Point(), values[1] as Window).X;
            }
            else
                return (values[1] as Window).ActualWidth - (values[0] as XamSliderNumericThumb).TranslatePoint(new Point(), values[1] as Window).X - 15;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
